[cig-commits] r3904 - short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest

willic3 at geodynamics.org willic3 at geodynamics.org
Wed Jun 28 09:59:15 PDT 2006


Author: willic3
Date: 2006-06-28 09:59:14 -0700 (Wed, 28 Jun 2006)
New Revision: 3904

Added:
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/pt1.fuldat
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/runpt1.sh
Log:
Added fuldat file and simple shell script to run pt1.



Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/pt1.fuldat
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/pt1.fuldat	2006-06-28 16:57:51 UTC (rev 3903)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/pt1.fuldat	2006-06-28 16:59:14 UTC (rev 3904)
@@ -0,0 +1,5 @@
+# Time steps for which full output is desired for SCEC benchmark 5.
+#
+        10
+        50
+       100

Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/runpt1.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/runpt1.sh	2006-06-28 16:57:51 UTC (rev 3903)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/runpt1.sh	2006-06-28 16:59:14 UTC (rev 3904)
@@ -0,0 +1,56 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run PyLith using small split node test.
+#
+# ======================================================================
+
+if [ $# != 1 ]; then
+  echo "usage: runpt1-test.sh NPROCS"
+  exit 1
+fi
+nprocs=$1
+
+simroot="pt1"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+pylithflags="-pl3dscan.fileRoot=${simroot}_$nprocs \
+  -pl3dscan.asciiOutput=full \
+  -pl3dscan.ucdOutput=ascii"
+# Do not use pythonTimestep for now until all the bugs are worked out.
+#  -pl3dscan.ucdOutput=ascii \
+#  -pl3dscan.pythonTimestep=1 "
+echo "PyLith flags:"
+echo $pylithflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_rtol 1e-09 "
+#  -start_in_debugger "
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${nprocs}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$nprocs.$ext
+done
+for ext in $dupext; do
+  for (( i=0; i < $nprocs; i+=1 )); do
+    ln -s $simroot.$ext ${simroot}_$nprocs.$i.$ext
+  done
+done
+
+echo "Running PyLith..."
+cmd="mpiexec -np $nprocs pylith3dapp.py $pyreflags $pylithflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/linhex/patchtest/runpt1.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the Cig-commits mailing list